#!/usr/bin/env python3.7
import argparse
import os
import sys
import json
import logging
import subprocess
import requests
from urllib.parse import urlparse
from datetime import datetime
from croniter import croniter

import http.client as http_client
http_client.HTTPConnection.debuglevel = 1

from p2.store.client import Client

logging.basicConfig(
    level=logging.DEBUG,
    format='%(asctime)s %(message)s'
    )

parser = argparse.ArgumentParser()
parser.add_argument("filename", help="experiment filename")
parser.add_argument("p2_store_url", help="p2 store url")
args = parser.parse_args()

filename     = args.filename
p2_store_url = args.p2_store_url


# run the experiment...
experiment_url = p2_store_url+'/experiment/'+filename
process = subprocess.run(["chaos", "run", experiment_url], capture_output=True) 

# get process output
output = process.stderr.decode('utf-8')

logging.debug("Process stderr: {}".format(output))
