import os
import logging

from p2.store.client import Client

class Config:

    def __init__(self, context: str = None):

        self.log = logging.getLogger(__name__)
        p2_store_url = os.environ.get('P2_STORE_URL')
        if p2_store_url is None:
            raise Exception("Envar P2_STORE_URL not found")
        self.p2_store_client = Client(p2_store_url)
        config = self.p2_store_client.get_config('p2.agent', tag=context)
        if config is None:
            self.log.error("No configuration found")
            raise Exception(f"Configuration record for p2.agent, tag {context}, not found")
        else:
            self.logger = config['logger']
            self.k8s = config['k8s']
            self.cronjobs = config['cronjobs']
