import logging
from uuid import uuid1

from p2.driver.k8s import k8s

log = logging.getLogger(__name__)

def create_cronjob(
        context,
        name,
        filename,
        crontab,
        image,
        command,
        p2_store_endpoint,
        namespace = 'default',
        service_account = None):

    filename = filename.replace('_', '-')
    k8s_obj = k8s.Cron(context=context, namespace=namespace)
    try:
        ret = k8s_obj.create_cronjob(
                name=name,
                filename = filename,
                schedule = crontab,
                image = image,
                command=command,
                service_account = service_account
                )
        if ret == name:
            log.info("Cronjob {} created".format(name))
            return ret
        else:
            log.error("Error creating cronjob {}".format(name))
            raise Exception("Error creating cronjob {}".format(name))

    except Exception as err:
        log.error("Error creating cronjob {}: {}".format(name, err))
        raise Exception("Error creating cronjob {}".format(name))

def delete_cronjob(cronjob_name, context, namespace='default'):
        k8s_obj = k8s.Cron(context=context, namespace=namespace)
        return k8s_obj.delete_cronjob(cronjob_name)
