Hello ${channel}!

This is an automatic message from ${app}.
You receive this message because a test on a Kubernetes resource of yours failed.

Test Profile:

```
-------------------------------------------------------
ID          : ${exp_id}
Start time  : ${start_time}
End time    : ${end_time}
Context     : ${k8s_context}
Resource    : ${resource}
-------------------------------------------------------
```

This is the complete exception trace:

-------------------------------------------------------
% for line in exceptions:
    ${line}
% endfor
-------------------------------------------------------

Usually the most common error causes are:

- No role binding is in place to grant us permissions on your resource, in this case we
  urge you to check that you have applied the role binding as specified here
  (https://github.com/sky-uk/ott-reference-app/blob/master/reference-service/k8s-resources/custom-team-access-rolebinding.yml)
  on your resource.

- A deployment in your namespace was not healthy while the test was running. Please check
  that all deployments in your namespace are healthy. It might happen that a deployment
  took too long to reset to the nominal number of replicas during a scale down/up test, the
  timeout is currently set to 100 seconds. If all deployments are fine don't bother too
  much.


Thank you for your cooperation, for any help or clarification just ping ${me}.

Best,
(the Chaos Engineering Team)
