import os
import json
from p2.agent.baseRunner import BaseRunner
from p2.store.client import Client

p2_store_url=os.getenv('P2_STORE_URL')
br = BaseRunner(
    p2_store_url=p2_store_url,
    filename='scale-all-namespace-deployments',
    exp_id='rango-signup-int-nft-2ea666da',
    campaign_id=12
)

client = Client(p2_store_url)
resource=client.select(
    table='resources',
    filter={'id': br.session['resource_id']}
)[0]

journal = client.select(
    table='exp_logs',
    fetch=['log_text'],
    filter={
        'exp_id': 'rango-signup-int-nft-2ea666da',
        'log_type': 3
    }
)[0]['log_text']

br.notify_slack(resource=resource, journal=json.loads(journal))
