import os

import unittest
import logging

from p2.agent.config import Config
from p2.tools.prepare_db import setUpDB, tearDownDB

logger = logging.getLogger(__name__)
logger.setLevel(logging.DEBUG)

class TestP2AgentConfig(unittest.TestCase):

    def setUp(self):
        setUpDB()

    def tearDown(self):
        tearDownDB()

    def test_p2agent_config(self):
        try:
            config = Config(context='minikube')
            self.assertEqual(config.logger['log_level'], 'DEBUG')
        except Exception as err:
            self.fail("No configuration found")
