import os
import unittest


from p2.logging import HttpLogger
from p2.tools.prepare_db import setUpDB, tearDownDB
from p2.tools.driver import get_driver
from p2.agent.experiment import Runner
from p2.agent.config import Config


class TestExperiment(unittest.TestCase):

    def setUp(self):
        setUpDB()

    def test_experiment_runner(self):
        config = Config()
        self.assertEqual(config.logger['log_level'], 'DEBUG')
        runner = get_driver(
            module='p2.agent',
            driver='experiment',
            class_name='Runner',
            p2_store_url=config.cronjobs.get('p2_store_endpoint'),
            filename='create-remove-dir',
            exp_id='create-remove-dir-1234'
            )

        runner.run()
        self.assertFalse(os.path.exists('/tmp/bar'))
